package com.goldenwater.slaj.hidd.service;

import java.util.List;
import com.goldenwater.slaj.hidd.domain.BisHiddConsult;
import com.goldenwater.slaj.hidd.domain.BisHiddConsultVo;

/**
 * 隐患会商信息Service接口
 */
public interface IBisHiddConsultService {
    /**
     * 查询隐患会商信息列表
     */
    List<BisHiddConsultVo> selectBisHiddConsultList(BisHiddConsult bisHiddConsult);

    /**
     * 查询隐患会商信息详情
     */
    BisHiddConsultVo selectBisHiddConsultByGuid(String guid);

    /**
     * 新增隐患会商信息
     */
    int insertBisHiddConsult(BisHiddConsult bisHiddConsult);

    /**
     * 修改隐患会商信息
     */
    int updateBisHiddConsult(BisHiddConsult bisHiddConsult);

    /**
     * 删除隐患会商信息
     */
    int deleteBisHiddConsultByGuids(String[] guids);
}
